Вход | Регистрация

1С:Предприятие :: 1С:Предприятие 8 общая

УТ 11.4 изменил режим совместимости, ошибки.....

УТ 11.4 изменил режим совместимости, ошибки.....
Я
   АндрейRU
 
03.01.19 - 13:04
Здравствуйте.
Необходимо было к типовой УТ 11.4 добавить расширение со своими документами и регистрами. Саму типовую не трогал, изменил только на совместимость 8.3.12.
Сразу появились ошибки при работе в РМК, ни просто под правами продавца, перестали открываться подборы товаров и выбор продавца из справочника - это только то что сразу вылезло...
Что такого могло так сильно повлиять на конфигурацию изменив только один параметр "режим совместимости" ???
Ошибки пофиксил, дав дополнительные права пользователям продавцам, а именно добавлять изменять номенклатуру, и добавлять изменять пользователей.
Но как то это не правильно :(
В чем дело, может кто сталкивался ?
 
 
   Сергиус
 
1 - 03.01.19 - 14:46
ну так значит это расширение не подходит для 11.4. Менять режим совместимости уж точно путь к большим подводным камням, которые неизвестно в какой момент могут о себе заявить.
   Сергиус
 
2 - 03.01.19 - 14:47
+(1)Попробуй лучше с самим расширением поколдовать, чтобы оно нормально цеплялось к основной конфе.
   АндрейRU
 
3 - 03.01.19 - 14:56
(1), я наверное плохо описал ситуацию, задача была поставить расширение с новыми видами документов. Для этого и поднял режим совместимости. НО глюки появились не устанавливая расширение, т.е. я только поднял - установил параметр совместимости у типовой выше и больше ничего не делал, расширение не ставил!
единственное что сделал, это поднял параметр совместимости, т.е. было указано что совместимость 8.3.10 , я этот параметр поставил 8.3.12 и всё! Ни расширений не ставил, ни конфу не ковырял, ничего!
   vde69
 
4 - 03.01.19 - 14:58
(3) поднятие режима совместимости может приводить даже к синтаксическим ошибкам, не говоря уже об всяких отказах от модальности и т.д.

перед принятием решения о поднятии совместимости требуется довольно полное тестирование и уже потом принимать решение о возможности или не возможности таких действий
   vde69
 
5 - 03.01.19 - 15:01
(4) режим совместимости это фактическое указание использовать синтаксис определенной версии, после поднятия у Вас стал испоьзоваться новый синтаксис и не удивительно, что где-то отъехало.

совет только один - вертайте все в зад и начинайте тестирование
   Сергиус
 
6 - 03.01.19 - 15:34
(3)Этого уже достаточно)
   hhhh
 
7 - 03.01.19 - 15:43
(0) ут 11.4 работает сейчас на 8.3.12. Значит вам ничего не нужно, нужно только обновить ут на последний релиз.
   АндрейRU
 
8 - 03.01.19 - 15:49
(7) странно, обновлял пару недель назад и было 8.3.10
   АндрейRU
 
9 - 03.01.19 - 15:50
(7) конечно это был бы идеальный вариант..,
а какой точно релиз УТ уже на 8.3.12 работает ?
   hhhh
 
10 - 03.01.19 - 16:08
(9) все работают. Это в 2017м или 18м году работало на 8.3.10, типа что-то 8.4.2, 8.4.3. А сегодняшние релизы - 8.4.5, 8.4.6 они все на 8.3.12.
 
 Рекламное место пустует
   АндрейRU
 
11 - 03.01.19 - 16:31
(9) так я говорю про релиз УТ, у неё стоит совместимость 8.3.10, у самой конфы типовой.
Платформа то понятно что поддерживает, у меня сейчас 8.3.13.1513
   runoff_runoff
 
12 - 03.01.19 - 16:36
(0) а в ЖУР какие ошибки доступа отложились?..
зачем "Добавлять и изменять пользователей"?..
   Access granted
 
13 - 03.01.19 - 16:48
(0) Советую посмотреть последний релиз УТ, судя по описанию, что "требуется платформа не ниже 8.3.12" они могли поднять режим совместимости. Раньше требовало 8.3.10.
   АндрейRU
 
14 - 03.01.19 - 17:06
(13) да, да, спасибо, занимаюсь этим вопросом.
в последних релизах, какраз исчесла строчка рекомендаций по совместимости с 8.3.10
   GANR
 
15 - 03.01.19 - 17:20
(0) Проводил проверку конфигурации ДО и ПОСЛЕ смены режима совместимости конфигурации со всеми флажками!? Новые ошибки будут видны в эксельке.
   bolder
 
16 - 03.01.19 - 18:26
(0) Неправильно сделал.Всего то надо было обновить УТ до последнего релиза.И да,тогда бы автоматом стала совместимость 8.3.12-то что доктор прописал.И не былобы ветки).
   АндрейRU
 
17 - 03.01.19 - 23:25
Обновил, только в одном самом последнем релизе УТ 11_4_6_188 поменялась версия совместимости на 8,3,12
   АндрейRU
 
18 - 03.01.19 - 23:25
Спасибо всем.

Список тем форума
Рекламное место пустует  Рекламное место пустует
Прочитай, хотя бы, Митичкина "Разработка в системе 1С:Предприятие 8". Волшебник
ВНИМАНИЕ! Если вы потеряли окно ввода сообщения, нажмите Ctrl-F5 или Ctrl-R или кнопку "Обновить" в браузере.
Рекламное место пустует